ProjectControllerCreateUserProject Method |
POST /Project/User/{id}
Creates a user project for the specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("User")]
public IActionResult CreateUserProject(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("User")>
Public Function CreateUserProject (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"User")]
IActionResult^ CreateUserProject(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("User")>]
member CreateUserProject :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account to create a user project for. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
IActionResult
The
ProjectData of the user's project or a status code indicating the reason for failure.
See Also